package iDSS.beans;

import java.util.*;
import java.rmi.RemoteException;
import java.sql.*;

import iDSS.utils.*;



public class TestSLRDataJBean {



    public static void main(String[] args) {


        iDSS.beans.SLRDataJBean slrDataBean = new iDSS.beans.SLRDataJBean();
        slrDataBean.setEjbName("SLRDataEJB");

        Vector slrData = slrDataBean.findAll();

        for(int i=0;i<slrData.size();i++) {

            Vector v = (Vector)slrData.elementAt(i);

            String scenarioName = v.elementAt(0).toString();
            int year = Integer.parseInt(v.elementAt(1).toString());
            double sens1_5 = ((Double)v.elementAt(2)).doubleValue();
            double sens4_5 = ((Double)v.elementAt(3)).doubleValue();
            double sens2_5 = ((Double)v.elementAt(4)).doubleValue();
            double sens2_5nosulf = ((Double)v.elementAt(5)).doubleValue();

            System.out.println(scenarioName + "\t" + year + "\t" + sens1_5 + "\t" +
                                sens4_5 + "\t" + sens2_5 + "\t" + sens2_5nosulf);

        } //for(int i=0;i<slrData.size();i++)



        slrData = slrDataBean.findByScenarioName("sresa2");

        for(int i=0;i<slrData.size();i++) {

            Vector v = (Vector)slrData.elementAt(i);

            String scenarioName = v.elementAt(0).toString();
            int year = Integer.parseInt(v.elementAt(1).toString());
            double sens1_5 = ((Double)v.elementAt(2)).doubleValue();
            double sens4_5 = ((Double)v.elementAt(3)).doubleValue();
            double sens2_5 = ((Double)v.elementAt(4)).doubleValue();
            double sens2_5nosulf = ((Double)v.elementAt(5)).doubleValue();

            System.out.println(scenarioName + "\t" + year + "\t" + sens1_5 + "\t" +
                                sens4_5 + "\t" + sens2_5 + "\t" + sens2_5nosulf);

        } //for(int i=0;i<slrData.size();i++)



        Vector v = slrDataBean.findByPrimaryKey("sresa2",2000);

        String scenarioName = v.elementAt(0).toString();
        int year = Integer.parseInt(v.elementAt(1).toString());
        double sens1_5 = ((Double)v.elementAt(2)).doubleValue();
        double sens4_5 = ((Double)v.elementAt(3)).doubleValue();
        double sens2_5 = ((Double)v.elementAt(4)).doubleValue();
        double sens2_5nosulf = ((Double)v.elementAt(5)).doubleValue();

        System.out.println(scenarioName + "\t" + year + "\t" + sens1_5 + "\t" +
                            sens4_5 + "\t" + sens2_5 + "\t" + sens2_5nosulf);


    } //public static void main(String[] args)



} //public class TestSLRDataJBean
